import request from '@/utils/request'

// 查询bus公司列表
export function listBusCompany(query) {
  return request({
    url: '/busCompany/busCompany/list',
    method: 'get',
    params: query
  })
}

// 查询bus公司详细
export function getBusCompany(deptId) {
  return request({
    url: '/busCompany/busCompany/' + deptId,
    method: 'get'
  })
}
// 查询自己bus公司详细
export function getBusCompanyMe() {
  return request({
    url: '/busCompany/busCompany/me',
    method: 'get'
  })
}
// 新增bus公司
export function addBusCompany(data) {
  return request({
    url: '/busCompany/busCompany',
    method: 'post',
    data: data
  })
}

// 修改bus公司
export function updateBusCompany(data) {
  return request({
    url: '/busCompany/busCompany',
    method: 'put',
    data: data
  })
}

// 删除bus公司
export function delBusCompany(deptId) {
  return request({
    url: '/busCompany/busCompany/' + deptId,
    method: 'delete'
  })
}

// 重置密码
export function resetPassword(data) {
	return request({
	  url: '/busCompany/busCompany/resetPassword',
	  method: 'put',
	  data: data
	})
}
